﻿namespace Phoenix.Plugins.Core.Exceptions
{
    using System;
    using System.Runtime.Serialization;

    [Serializable]
    public class PluginException : Exception
    {
        #region Fields

        private static string message = "An error occured in the assembly";

        #endregion Fields

        #region Constructors

        public PluginException()
            : this(message)
        {
        }

        public PluginException(Exception inner)
            : base(message, inner)
        {
        }

        public PluginException(string message)
            : base(message)
        {
        }

        public PluginException(string message, Exception inner)
            : base(message, inner)
        {
        }

        protected PluginException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }

        #endregion Constructors
    }
}