﻿namespace Phoenix.Plugins.Host
{
    using System.Windows.Forms;

    using Phoenix.Plugins.Host.Interfaces;

    public abstract class GuiPlugin : Plugin, IGuiPlugable
    {
        #region Methods

        public abstract void InsertInto(ContainerControl container);

        protected void Insert(Control control, ContainerControl into)
        {
            control.Visible = false;
            control.Dock = DockStyle.Fill;
            into.Controls.Add(control);
        }

        #endregion Methods
    }
}