﻿namespace Phoenix.Plugins.Host
{
    using System;

    public class PlugableAttribute : Attribute
    {
        #region Constructors

        public PlugableAttribute(string description)
        {
            this.Description = description;
        }

        public PlugableAttribute()
        {
            this.Description = "";
        }

        #endregion Constructors

        #region Properties

        public string Description
        {
            get;
            private set;
        }

        #endregion Properties
    }
}